declare @uid varchar(50)
declare @idpadre int
--COTIZACION
select @uid=uid from seg_usuario where id=1
set @idpadre = (select id from [gui_funcionalidad] where[url]='/forms/doc/doc_documento_cotizacion.aspx?st=4' and [id_tipoFuncionalidad]=3) 
if not exists(select * from [gui_funcionalidad] where [nombreComando]='buscar' and [id_tipoFuncionalidad]=2 and [funcionalidad]='Buscar' and id_funcionalidad=(select id from [gui_funcionalidad]  where[url]='/forms/doc/doc_documento_cotizacion.aspx?st=4' and [id_tipoFuncionalidad]=3) )
begin 
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Buscar',@idpadre,2,'','',0,'','equ_buscar.jpg','','pop_buscarXcatalogo','buscar',9)
end

--REQUISICION
set @idpadre = (select id from [gui_funcionalidad] where[url]='/forms/doc/doc_documento_requisicion.aspx' and [id_tipoFuncionalidad]=3) 
if not exists(select * from [gui_funcionalidad] where [nombreComando]='buscar' and [id_tipoFuncionalidad]=2 and [funcionalidad]='Buscar' and id_funcionalidad=(select id from [gui_funcionalidad] where[url]='/forms/doc/doc_documento_requisicion.aspx' and [id_tipoFuncionalidad]=3) )
begin 
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Buscar',@idpadre,2,'','',0,'','equ_buscar.jpg','','pop_buscarXcatalogo','buscar',9)
end

--ORDEN DE COMPRA
set @idpadre = (select id from [gui_funcionalidad] where[url]='/forms/doc/doc_documento_ordenCompra.aspx' and [id_tipoFuncionalidad]=3) 
if not exists(select * from [gui_funcionalidad] where [nombreComando]='buscar' and [id_tipoFuncionalidad]=2 and [funcionalidad]='Buscar' and id_funcionalidad=(select id from [gui_funcionalidad] where[url]='/forms/doc/doc_documento_ordenCompra.aspx' and [id_tipoFuncionalidad]=3) )
begin 
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Buscar',@idpadre,2,'','',0,'','equ_buscar.jpg','','pop_buscarXcatalogo','buscar',9)
end

--ENTRADA
set @idpadre = (select id from [gui_funcionalidad] where[url]='/forms/doc/doc_documento_entrada.aspx' and [id_tipoFuncionalidad]=3) 
if not exists(select * from [gui_funcionalidad] where [nombreComando]='buscar' and [id_tipoFuncionalidad]=2 and [funcionalidad]='Buscar' and id_funcionalidad=(select id from [gui_funcionalidad] where[url]='/forms/doc/doc_documento_entrada.aspx' and [id_tipoFuncionalidad]=3) )
begin 
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Buscar',@idpadre,2,'','',0,'','equ_buscar.jpg','','pop_buscarXcatalogo','buscar',9)
end

--SALIDA
set @idpadre = (select id from [gui_funcionalidad] where[url]='/forms/doc/doc_documento_salida.aspx' and [id_tipoFuncionalidad]=3) 
if not exists(select * from [gui_funcionalidad] where [nombreComando]='buscar' and [id_tipoFuncionalidad]=2 and [funcionalidad]='Buscar' and id_funcionalidad=(select id from [gui_funcionalidad] where[url]='/forms/doc/doc_documento_salida.aspx' and [id_tipoFuncionalidad]=3) )
begin 
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Buscar',@idpadre,2,'','',0,'','equ_buscar.jpg','','pop_buscarXcatalogo','buscar',9)
end

--TRASLADO
set @idpadre = (select id from [gui_funcionalidad] where[url]='/forms/doc/doc_documento_traslado.aspx' and [id_tipoFuncionalidad]=3) 
if not exists(select * from [gui_funcionalidad] where [nombreComando]='buscar' and [id_tipoFuncionalidad]=2 and [funcionalidad]='Buscar' and id_funcionalidad=(select id from [gui_funcionalidad] where[url]='/forms/doc/doc_documento_traslado.aspx' and [id_tipoFuncionalidad]=3) )
begin 
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Buscar',@idpadre,2,'','',0,'','equ_buscar.jpg','','pop_buscarXcatalogo','buscar',9)
end

--PRELIQUIDACION
set @idpadre = (select id from [gui_funcionalidad] where[url]='/forms/doc/doc_documento_cotizacion.aspx?st=5' and [id_tipoFuncionalidad]=3) 
if not exists(select * from [gui_funcionalidad] where [nombreComando]='buscar' and [id_tipoFuncionalidad]=2 and [funcionalidad]='Buscar' and id_funcionalidad=(select id from [gui_funcionalidad] where[url]='/forms/doc/doc_documento_cotizacion.aspx?st=5' and [id_tipoFuncionalidad]=3) )
begin 
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Buscar',@idpadre,2,'','',0,'','equ_buscar.jpg','','pop_buscarXcatalogo','buscar',9)
end